org.apache.tinkerpop.gremlin.structure.io

## Class IoTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.io.IoTest

-     public class IoTest
      extends Object

  Author:
    Joshua Shinavier (http://fortytwo.net), Stephen Mallette (http://stephen.genoprime.com), Marko A. Rodriguez (http://markorodriguez.com)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IoTest.GraphMLTest`
    `static class` | `IoTest.GraphSONLegacyTest`
    `static class` | `IoTest.GraphSONTest`
    `static class` | `IoTest.GraphSONV2D0Test`
    `static class` | `IoTest.GraphSONV3D0Test`
    `static class` | `IoTest.GryoTest`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IoTest()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `assertClassicGraph(Graph g1, boolean assertDouble, boolean lossyForId)`
    `static void` | `assertCrewGraph(Graph g1, boolean lossyForId)`
    `static void` | `assertModernGraph(Graph g1, boolean assertDouble, boolean lossyForId)`
    `static void` | `assertNoEdgeGraph(Graph g1, boolean assertDouble, boolean lossyForId)`
    `static InputStream` | `getResourceAsStream(Class<?> resourceClass, String file)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IoTest

          public IoTest()

  - ### Method Detail

    - #### assertCrewGraph

          public static void assertCrewGraph(Graph g1,
                                             boolean lossyForId)

    - #### assertClassicGraph

          public static void assertClassicGraph(Graph g1,
                                                boolean assertDouble,
                                                boolean lossyForId)

    - #### assertNoEdgeGraph

          public static void assertNoEdgeGraph(Graph g1,
                                               boolean assertDouble,
                                               boolean lossyForId)

    - #### assertModernGraph

          public static void assertModernGraph(Graph g1,
                                               boolean assertDouble,
                                               boolean lossyForId)

    - #### getResourceAsStream

          public static InputStream getResourceAsStream(Class<?> resourceClass,
                                                        String file)

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.